summaryrefslogtreecommitdiff
path: root/tests/rm/i-no-r.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/i-no-r.sh')
-rwxr-xr-xtests/rm/i-no-r.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/rm/i-no-r.sh b/tests/rm/i-no-r.sh
index e7f7196aa..22819ab6f 100755
--- a/tests/rm/i-no-r.sh
+++ b/tests/rm/i-no-r.sh
@@ -26,7 +26,7 @@ echo y > y || framework_failure_
# This must fail.
-rm -i dir < y > /dev/null 2>&1 && fail=1
+returns_ 1 rm -i dir < y > /dev/null 2>&1 || fail=1
# The directory must remain.
test -d dir || fail=1